NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.FaceColorManagementBuilder Class Reference

Tooling builder to assign and edit color of objects More...

Inheritance diagram for NXOpen.Tooling.FaceColorManagementBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  HoleTypeEnumValue {
  ThroughHoles, BlindHoles, CounterboredHoles, CountersunkHoles,
  ThreadedHoles, ComboHoles, WireEDMStartHoles, CirclesinSketch
}
 the hole type enumeration More...
 

Public Member Functions

unsafe void AssignAttributeToObject (NXOpen.NXObject objectTag, string attrTitle, string attrValue)
 Assign attribute to object More...
 
unsafe void AssignColorToObject (NXOpen.NXObject objectTag, int colorID)
 Assign color to object More...
 
unsafe void EditColorSpreadsheet ()
 The action to edit face color spreadsheet More...
 
unsafe void RemoveAttributeOfObject (NXOpen.NXObject objectTag, string attrTitle)
 Remove attribute of object More...
 
unsafe void ShowFacesWithoutColorAttrirbute ()
 The action to show faces without color attributes More...
 
unsafe void ShowFaceWithoutAnyManufacturingInformationButton ()
 The action to show face without any manufacturing information More...
 
unsafe void ShowFaceWithSameManufacturingInformationButton ()
 The action to show face with same manufacturing information More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleNoseIgnorableSize [get, set]
 Returns or sets the angle nose ignorable size More...
 
unsafe NXOpen.NXColor FaceColor [get, set]
 Returns or sets the face color More...
 
unsafe int FaceTranslucency [get, set]
 Returns or sets the face translucency More...
 
unsafe bool HighlightSelectedFace [get, set]
 Returns or sets the option whether to highlight selected faces More...
 
unsafe
NXOpen.Tooling.FaceColorManagementBuilder.HoleTypeEnumValue 
HoleTypeEnum [get, set]
 Returns or sets the hole type enumeration More...
 
unsafe bool IsAutoSelectHoleByType [get, set]
 Returns or sets the option whether to select holes by type automatically More...
 
unsafe bool IsShowFaceWithoutColorAttributeToggle [get, set]
 Returns or sets the option whether to show face without color attribute toggle More...
 
unsafe bool IsShowFaceWithSameColorAttributeToggle [get, set]
 Returns or sets the option whether to show face with same color attribute toggle More...
 
unsafe bool OnlyCheckHoleFace [get, set]
 Returns or sets the only check planar face option More...
 
unsafe string SelectColorSpreadsheet [get, set]
 Returns or sets the face color spreadsheet More...
 
unsafe NXOpen.ScCollector SelectCurve [get]
 Returns the select curve More...
 
unsafe NXOpen.ScCollector SelectFace [get]
 Returns the selected faces More...
 
unsafe NXOpen.Direction SelectHoleAxis [get, set]
 Returns or sets the hole axis More...
 
unsafe bool SelectSubHoleFaceAutomatically [get, set]
 Returns or sets the select sub-hole face automatically option More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Tooling builder to assign and edit color of objects

To create a new instance of this class, use NXOpen.Tooling.FaceColorManagementCollection.CreateFaceColorManagementBuilder

Default values.

Property Value

AngleNoseIgnorableSize

0.5

FaceTranslucency

0

HighlightSelectedFace

0

HoleTypeEnum

ThroughHoles

IsAutoSelectHoleByType

0

IsShowFaceWithSameColorAttributeToggle

0

IsShowFaceWithoutColorAttributeToggle

0

OnlyCheckHoleFace

0

SelectSubHoleFaceAutomatically

0

Created in NX9.0.0

Member Enumeration Documentation

the hole type enumeration

Enumerator
ThroughHoles 
BlindHoles 
CounterboredHoles 
CountersunkHoles 
ThreadedHoles 
ComboHoles 
WireEDMStartHoles 
CirclesinSketch 

Member Function Documentation

unsafe void NXOpen.Tooling.FaceColorManagementBuilder.AssignAttributeToObject ( NXOpen.NXObject  objectTag,
string  attrTitle,
string  attrValue 
)
inline

Assign attribute to object

Created in NX12.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTag
attrTitle
attrValue
unsafe void NXOpen.Tooling.FaceColorManagementBuilder.AssignColorToObject ( NXOpen.NXObject  objectTag,
int  colorID 
)
inline

Assign color to object

Created in NX12.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTag
colorID
unsafe void NXOpen.Tooling.FaceColorManagementBuilder.EditColorSpreadsheet ( )
inline

The action to edit face color spreadsheet

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe void NXOpen.Tooling.FaceColorManagementBuilder.RemoveAttributeOfObject ( NXOpen.NXObject  objectTag,
string  attrTitle 
)
inline

Remove attribute of object

Created in NX12.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTag
attrTitle
unsafe void NXOpen.Tooling.FaceColorManagementBuilder.ShowFacesWithoutColorAttrirbute ( )
inline

The action to show faces without color attributes

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe void NXOpen.Tooling.FaceColorManagementBuilder.ShowFaceWithoutAnyManufacturingInformationButton ( )
inline

The action to show face without any manufacturing information

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.FaceColorManagementBuilder.ShowFaceWithSameManufacturingInformationButton ( )
inline

The action to show face with same manufacturing information

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe double NXOpen.Tooling.FaceColorManagementBuilder.AngleNoseIgnorableSize
getset

Returns or sets the angle nose ignorable size

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.NXColor NXOpen.Tooling.FaceColorManagementBuilder.FaceColor
getset

Returns or sets the face color

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe int NXOpen.Tooling.FaceColorManagementBuilder.FaceTranslucency
getset

Returns or sets the face translucency

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.HighlightSelectedFace
getset

Returns or sets the option whether to highlight selected faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Tooling.FaceColorManagementBuilder.HoleTypeEnumValue NXOpen.Tooling.FaceColorManagementBuilder.HoleTypeEnum
getset

Returns or sets the hole type enumeration

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.IsAutoSelectHoleByType
getset

Returns or sets the option whether to select holes by type automatically

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.IsShowFaceWithoutColorAttributeToggle
getset

Returns or sets the option whether to show face without color attribute toggle

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.IsShowFaceWithSameColorAttributeToggle
getset

Returns or sets the option whether to show face with same color attribute toggle

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.OnlyCheckHoleFace
getset

Returns or sets the only check planar face option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.FaceColorManagementBuilder.SelectColorSpreadsheet
getset

Returns or sets the face color spreadsheet

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.FaceColorManagementBuilder.SelectCurve
get

Returns the select curve

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.FaceColorManagementBuilder.SelectFace
get

Returns the selected faces

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.FaceColorManagementBuilder.SelectHoleAxis
getset

Returns or sets the hole axis

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.FaceColorManagementBuilder.SelectSubHoleFaceAutomatically
getset

Returns or sets the select sub-hole face automatically option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.FaceColorManagementBuilder.WizardType
getset

Returns or sets the wizard type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.